%define libname    ocaml-%{name}
%define libdevname ocaml-%{name}-devel

Name:           caml2html
Version:        1.4.3
Release:        %mkrel 3
Summary:        Highlight OCaml code by adding some color
License:        GPL
Group:          Development/OCaml
URL:            http://mjambon.com/caml2html.html
Source0:        http://mjambon.com/releases/caml2html/caml2html-%{version}.tar.gz
BuildRequires:  ocaml-findlib
BuildRequires:  camlmix

%description
The caml2html package provides an executable that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libname}
Summary:        Development files for %{libname}
Group:          Development/OCaml

%description -n %{libname}
The %{libname} package provides a library that highlight OCaml code
by adding some color. With the caml2html program, you can produce
ready-to-go HTML files.

%package -n     %{libdevname}
Summary:        Development files for %{libname}
Group:          Development/OCaml
Requires:       %{libname} = %{version}-%{release}

%description -n %{libdevname}
The %{libdevname} package contains libraries and signature files for
developing applications that use %{libname}.

%prep
%setup -q

%build
make caml2html
make bytelib optlib

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/Icaml2html
mkdir -p %{buildroot}%{_bindir}
make install BINDIR=%{buildroot}%{_bindir}

%files
%doc LICENSE README.md history.txt TODO
%{_bindir}/caml2html

%files -n %{libname}
%doc LICENSE README.md history.txt TODO
%dir %{_libdir}/ocaml/caml2html
%{_libdir}/ocaml/caml2html/META
%{_libdir}/ocaml/caml2html/*.cma
%{_libdir}/ocaml/caml2html/*.cmi

%files -n %{libdevname}
%doc test.ml
%doc caml2html_test.ml
%{_libdir}/ocaml/caml2html/*.a
%{_libdir}/ocaml/caml2html/*.cmxa
%{_libdir}/ocaml/caml2html/*.mli


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.4.3-3.mga4
+ Revision: 503191
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.4.3-2.mga3
+ Revision: 347367
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 20 2012 blue_prawn <blue_prawn> 1.4.3-1.mga3
+ Revision: 319838
- updated to last version 1.4.3
- updated to last version 1.4.3
- updated to last version 1.4.3

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.4.1-2.mga3
+ Revision: 301796
- build requires camlmix
- adapt for ocaml 4.00 (Hashtbl.create)
- rebuild for new ocaml 4.00

* Sun Jun 24 2012 blue_prawn <blue_prawn> 1.4.1-1.mga3
+ Revision: 262955
- imported package caml2html

